﻿@model List<FreightView>

<div id="TableFreight">
    <table class="table table-striped">
        <thead>
            <tr>
                <th><strong>@PurchaseOrders.FN</strong></th>
                <th><strong>@PurchaseOrders.Remarks</strong></th>
                <th><strong>@PurchaseOrders.Tax @PurchaseOrders.Code</strong></th>
                <th><strong>@PurchaseOrders.TTA</strong></th>
                <th><strong>@PurchaseOrders.DM</strong></th>
                <th><strong>@PurchaseOrders.Amount</strong></th>
                <th><strong>@PurchaseOrders.Status</strong></th>
                <th><strong>@PurchaseOrders.DR</strong></th>
                <th><strong>@PurchaseOrders.Project</strong></th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                int counter = 0;
                foreach (FreightView item in Model)
                {
                    <tr>
                        <td>
                            @item.ExpnsName
                        <input type="hidden" id="itemLineNum_@counter" value="@item.LineNum" />
                        <input id="ExpenseCode_@counter" value="@item.ExpnsCode" style="display:none" />
                    <td>
                        @Html.TextBox("Comments" + @counter, @item.Comments, new { @Id = "Comments" + @counter, @placeholder = @PurchaseOrders.Remarks, @class = "form-control" })
                    </td>
                    <td>
                        @Html.DropDownListFor(model => item.TaxCode, new SelectList(
                                item.ListTax,
                                           "Code",
                                        "Name", item.TaxCode), new { @Id = "TaxCode" + @counter, @class = "form-control" })
                    </td>
                    <td>
                        @Html.TextBox("VatSum" + @counter, @item.VatSum, new { @Id = "VatSum" + @counter, @placeholder = @PurchaseOrders.TTA, @class = "form-control", @disabled = "disabled" })
                    </td>
                    <td>
                        @Html.DropDownListFor(model => item.DistrbMthd, new SelectList(
                                item.ListDistrMethod,
                                              "Code",
                                           "Name", item.DistrbMthd), new { @Id = "DistrMethod" + @counter, @class = "form-control" })
                    </td>
                    <td>
                        @Html.TextBox("LineTotal" + @counter, @item.LineTotal, new { @Id = "LineTotal" + @counter, @placeholder = @PurchaseOrders.Amount, @class = "form-control" })
                    </td>
                    @switch (item.Status)
                    {
                        case "O":
                            <td>Open</td>
                            break;
                        case "C":
                        <td>Close</td>
                            break;
                    }
                    <td>
                        @Html.DropDownListFor(model => item.OcrCode, new SelectList(
                                item.ListDistrRule,
                                              "OcrCode",
                                           "OcrName", item.OcrCode), new { @Id = "DistrRule" + @counter, @class = "form-control" })
                    </td>
                    <td>
                        @Html.DropDownListFor(model => item.Project, new SelectList(
                                item.ListProject,
                                       "PrjCode",
                                       "PrjName", item.OcrCode), new { @Id = "Project" + @counter, @class = "form-control" })
                    </td>
                </tr>

                    counter++;
                }
            }
        </tbody>
    </table>
</div>

